Bug 474383 - sensors-detect reports error when run without user input
sensors-detect reports error when run without user input
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lm_sensors (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Nikola Pajkovsky
BaseOS QE
:
Depends On:
Blocks: 843507
  Show dependency treegraph
 
Reported: 2008-12-03 11:03 EST by Petr Šplíchal
Modified: 2016-05-31 21:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 768365 843507 (view as bug list)
Environment:
Last Closed: 2010-03-30 03:57:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2008-12-03 11:03:56 EST
Description of problem:

When detecting sensors with standard input redirected from /dev/null there is an error message displayed at the end of detection. This does not have any impact on function but is a bit confusing. As autodetecting (with common defaults) available sensors can be expected in scripts, I think this should be fixed.

Version-Release number of selected component (if applicable):
lm_sensors-2.10.7-4.el5.i386

Steps to Reproduce:
sensors-detect </dev/null
  
Actual results:
...
Use of uninitialized value in pattern match (m//) at /usr/sbin/sensors-detect line 5645.
Do you want to overwrite /etc/sysconfig/lm_sensors? (YES/no): 


Expected results:
No errors displayed.
Comment 1 Phil Knirsch 2008-12-19 10:24:23 EST
Looked into it, should be easily fixable, so proposing for RHEL-5.4.

Thanks & regards, Phil
Comment 10 errata-xmlrpc 2010-03-30 03:57:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0186.html

Note You need to log in before you can comment on or make changes to this bug.